public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/lrslib/
Date: Tue, 12 Jan 2021 10:49:19 +0000 (UTC)	[thread overview]
Message-ID: <1610448525.27562468d1d9d10a37e3a791b698055504909626.soap@gentoo> (raw)

commit:     27562468d1d9d10a37e3a791b698055504909626
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Jan 12 10:48:45 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 10:48:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27562468

sci-libs/lrslib: Bump to 071

Closes: https://github.com/gentoo/gentoo/pull/18951
Closes: https://bugs.gentoo.org/707612
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/lrslib/Manifest          |  1 +
 sci-libs/lrslib/lrslib-071.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sci-libs/lrslib/Manifest b/sci-libs/lrslib/Manifest
index e6fd1344b66..65d38903cb3 100644
--- a/sci-libs/lrslib/Manifest
+++ b/sci-libs/lrslib/Manifest
@@ -1 +1,2 @@
 DIST lrslib-062.tar.gz 292745 BLAKE2B 1a2c0e264d590c38d83ee35616b1ec36d8a093b5c7f08179019261d8b321d5b95d8889ca6555ae69853f919d6d66358a865a8a2002516dfd560bec6658f3913d SHA512 1d644a7798580457ff266730f42f6fac317ec8cdf2509ad6028e7a838e5c4c948bd0f9499b840c227bad4269f7144ff72b87fe3a19bdb9ad0925ebe4a7bc4f9f
+DIST lrslib-071.tar.gz 460165 BLAKE2B 67be1ffac1c09a94773c69fc2215db19623bc8bc78be74342a1eda497b70eed2d8cb8e9b34ce269177154a4aed6f7bde02f632a536999b24f3116b3e69be456e SHA512 451aa5dada106516aeed1688c1e939a2e216ac760addb483f9cc1d5d4ac62e88af2772a6fa589b217b544621d041d94386a79502483db2eeaf04e90c4a3fd78e

diff --git a/sci-libs/lrslib/lrslib-071.ebuild b/sci-libs/lrslib/lrslib-071.ebuild
new file mode 100644
index 00000000000..1d033c0eef9
--- /dev/null
+++ b/sci-libs/lrslib/lrslib-071.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Self-contained C implementation of the reverse search algorithm"
+HOMEPAGE="http://cgm.cs.mcgill.ca/~avis/C/lrs.html"
+SRC_URI="http://cgm.cs.mcgill.ca/~avis/C/lrslib/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="gmp mpi"
+
+RDEPEND="
+	gmp? (
+		dev-libs/gmp:0=
+		mpi? ( virtual/mpi )
+	)"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	tc-export CC
+	sed -e "s/-O3/${CFLAGS}/g" \
+		-e 's/$(CC) -shared/$(CC) $(LDFLAGS) -shared/' \
+		-e "s,/usr/local,${EPREFIX}/usr,g" \
+		-e "s,/lib,/$(get_libdir),g" \
+		-i makefile || die
+}
+
+src_compile() {
+	if use gmp ; then
+		emake
+		emake all-shared
+		use mpi && emake mplrs
+	else
+		emake allmp
+	fi
+}
+
+src_install() {
+	emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install-common
+	if use gmp; then
+		emake DESTDIR="${D}" prefix="${EPREFIX}/usr" install
+		use mpi && dobin mplrs
+	fi
+	dodoc README
+}


             reply	other threads:[~2021-01-12 10:49 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-12 10:49 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-29 13:46 [gentoo-commits] repo/gentoo:master commit in: sci-libs/lrslib/ Yixun Lan
2021-12-05  4:00 Sam James
2021-11-06  1:01 Michael Orlitzky
2021-11-01  0:21 Michael Orlitzky
2021-10-23 13:51 Sam James
2021-10-23  0:17 Michael Orlitzky
2021-01-27  6:58 Sam James
2020-01-03 19:08 Andreas Sturmlechner
2020-01-03 14:30 Agostino Sarubbo
2020-01-01 15:30 Agostino Sarubbo
2018-06-01 14:05 Aaron Bauman
2017-07-31 18:12 Sebastien Fabbro
2017-07-31 18:12 Sebastien Fabbro
2016-03-02 19:28 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1610448525.27562468d1d9d10a37e3a791b698055504909626.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox